# Module: `src\command_palette.py`

Auto-generated from source. 2 struct(s) defined in this module.

## `src\command_palette.py::Command`

**Kind:** `dataclass`
**Defined at:** line 13

**Fields:**
- `id: str`
- `title: str`
- `category: str`
- `shortcut: Optional[str]`
- `description: str`
- `enabled_when: Optional[str]`
- `action: Optional[Callable]`


## `src\command_palette.py::ScoredCommand`

**Kind:** `dataclass`
**Defined at:** line 23

**Fields:**
- `command: Command`
- `score: float`

